GET /chains
Last updated
Last updated
{
"success": true,
"chains": [
{
"id": 1,
"key": "ethereum",
"name": "Ethereum",
"native_token": "ETH",
"type": "evm"
},
{
"id": 10,
"key": "optimism",
"name": "Optimism",
"native_token": "ETH",
"type": "evm"
},
{
"id": 56,
"key": "bsc",
"name": "BNB Smart Chain",
"native_token": "BNB",
"type": "evm"
},
{
"id": 137,
"key": "polygon",
"name": "Polygon",
"native_token": "MATIC",
"type": "evm"
},
{
"id": 42161,
"key": "arbitrum",
"name": "Arbitrum One",
"native_token": "ETH",
"type": "evm"
},
{
"id": 8453,
"key": "base",
"name": "Base",
"native_token": "ETH",
"type": "evm"
},
{
"id": 43114,
"key": "avalanche",
"name": "Avalanche C-Chain",
"native_token": "AVAX",
"type": "evm"
},
{
"id": 900,
"key": "solana",
"name": "Solana",
"native_token": "SOL",
"type": "solana"
}
]
}curl https://api.suwappu.bot/v1/agent/chainsimport requests
response = requests.get("https://api.suwappu.bot/v1/agent/chains")
chains = response.json()["chains"]
for chain in chains:
print(f"{chain['name']} ({chain['key']}) - {chain['type']}")const response = await fetch("https://api.suwappu.bot/v1/agent/chains");
const { chains } = await response.json();
chains.forEach((chain) => {
console.log(`${chain.name} (${chain.key}) - ${chain.type}`);
});